## COMMIT Statement (commit_statement)

A COMMIT statement (commit_statement) terminates the current transaction and starts a new one.

### Syntax

<commit_statement> ::= COMMIT [WORK]

### Explanation

The commit statement terminates the current transaction (COMMIT).

The COMMIT statement implicitly opens a new transaction. Any locks set within the new transaction are assigned to this transaction. The setting of locks in the new transaction is controlled by the isolation level defined in the CONNECT statement.